% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/volcanoPlot.R
\name{diffAnaVolcanoplot}
\alias{diffAnaVolcanoplot}
\title{Volcanoplot of the differential analysis}
\usage{
diffAnaVolcanoplot(logFC = NULL, pVal = NULL, threshold_pVal = 1e-60,
  threshold_logFC = 0, conditions = NULL)
}
\arguments{
\item{logFC}{A vector of the log(fold change) values of the differential
analysis.}

\item{pVal}{A vector of the p-value values returned by the differential
analysis.}

\item{threshold_pVal}{A floating number which represents the p-value that
separates differential and non-differential data.}

\item{threshold_logFC}{A floating number which represents the log of the
Fold Change that separates differential and non-differential data.}

\item{conditions}{A list of the names of condition 1 and 2 used for the
differential analysis.}
}
\value{
A volcanoplot
}
\description{
Plots a volcanoplot after the differential analysis.
Typically, the log of Fold Change is represented on the X-axis and the
log10 of the p-value is drawn on the Y-axis. When the \code{threshold_pVal}
and the \code{threshold_logFC} are set, two lines are drawn respectively on
the y-axis and the X-axis to visually distinguish between differential and
non differential data.
}
\examples{
require(DAPARdata)
data(Exp1_R25_pept)
condition1 <- '25fmol'
condition2 <- '10fmol'
data <- wrapper.diffAnaLimma(Exp1_R25_pept[1:1000], condition1, condition2)
diffAnaVolcanoplot(data$logFC, data$P_Value)
}
\author{
Florence Combes, Samuel Wieczorek
}
